/*******************************************************************************
* File Name: Shift_UART.h  
* Version 1.60
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2011, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_CONTROL_REG_Shift_UART_H) /* CY_CONTROL_REG_Shift_UART_H */
#define CY_CONTROL_REG_Shift_UART_H

#include "cytypes.h"
#include "cyfitter.h"


/***************************************
*         Function Prototypes 
***************************************/    

void    Shift_UART_Write(uint8 control) ;
uint8   Shift_UART_Read(void) ;

/***************************************
*            Registers        
***************************************/

/* Control Register */
#define Shift_UART_Control         (* (reg8 *) Shift_UART_ctrl_reg__CONTROL_REG )
#endif /* End CY_CONTROL_REG_Shift_UART_H */

/* [] END OF FILE */
